using AutoMapper;
using Qusion.Cms.Media;
using Qusion.Cms.Modules.Media.Core;
using Qusion.WebApp.Areas.cms.Models.GLibraries;

namespace Qusion.WebApp.Areas.cms.Models.Libraries
{
    public class GLibraryProfile : Profile
    {
        protected override void Configure()
        {
 
            Mapper.CreateMap<LibraryTypeQueryInput, LibraryTypeQuery>()
             .ConstructUsing(x => LibraryTypeQuery.Default);

            Mapper.CreateMap<LibraryType, LibraryTypeListModel>();
            Mapper.CreateMap<LibraryType, LibraryTypeModel>();

        }
    }
}